import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { AVAssetSegmentType } from "./AVAssetSegmentType.js";
export declare class _AVAssetSegmentReport extends _NSObject {
    static alloc(): _AVAssetSegmentReport;
    static new(): _AVAssetSegmentReport;
    init(): _AVAssetSegmentReport;
    /** @property segmentType @abstract A segment type of the segment data. */
    segmentType(): AVAssetSegmentType;
    /**
     * @property trackReports @abstract Provides an array of AVAssetSegmentTrackReport in the segment data.
     */
    trackReports(): _NSArray;
}
